import numpy as np 
import pandas as pd 
import os
import pickle
import warnings

test_df = pd.read_csv('../readonly/final_project_data/testing_data.csv')

file_name = '../readonly/models/lightgbm_model_1.sav'
fin_model = pickle.load(file_name, 'rb')

preds = fin_model.predict(test_df.loc[:, ["date_block_num", "shop_id",	"item_id",	"cat_id",	"item_price"]])

dt = {'ID' : test_df.iloc[:, 0].values, 'item_cnt_month' : preds}
res_df = pd.DataFrame(data=dt)

res_df.to_csv('../readonly/final_project_data/result.csv', index=False)