#! usr/env/bin/ python
from statsmodels.stats.outliers_influence import variance_inflation_factor
import pandas as pd


def cals_VIF(df):

    vif = pd.DataFrame()
    vif["variables"] = df.columns
    vif["VIF"] = [variance_inflation_factor(df.values,1) for i in range(df.shape[1])]

    return vif

if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    cals_VIF(df)

