#UNIVARIATE SELECTION
# Feature Extraction with Univariate Statistical Tests (f_regression)
import pandas as pd
import numpy as np
from sklearn.feature_selection import SelectKBest
from sklearn.feature_selection import f_regression
from sklearn.datasets import load_digits

def UFS(X, y):
    names=pd.DataFrame(X.columns)
    model = SelectKBest(score_func=f_regression, k=4)
    results = model.fit(X, y)

    #print (results.scores_)
    #print (results.pvalues_)

    results_df=pd.DataFrame(results.scores_)
    #Concat and name columns
    scored=pd.concat([names,results_df], axis=1)
    scored.columns = ["Feature", "Score"]
    scored.sort_values(by=['Score']).head(13)
    return scored

if __name__ == "__main__":
    UFS(x, y)