from sklearn.datasets import load_iris
from sklearn.ensemble import ExtraTreesClassifier, RandomForestClassifier
from sklearn.model_selection import cross_val_score, KFold

# Load the dataset
X = load_iris().data
y = load_iris().target

# Prepare models and select your CV method
model2 = RandomForestClassifier()
kf = KFold(n_splits=20, random_state=42)
results_model2 = cross_val_score(model2, X, y, cv=kf)


