#! usr/env/bin/ python
import matplotlib.pyplot as plt
import numpy as np

from sklearn.datasets import load_boston
from sklearn.feature_selection import SelectFromModel
from sklearn.linear_model import LassoCV


def Lasso_fs(X, y):
    # Use L1 penalty
    estimator = LassoCV(cv=5, normalize = True)

    # Set a minimum threshold of 0.25
    sfm = SelectFromModel(estimator, threshold=0.25, prefit=False, norm_order=1, max_features=None)

    sfm.fit(X, y)

    feature_idx = sfm.get_support()
    feature_name = X.columns[feature_idx]
    feature_name

    # n_features = sfm.transform(X).shape[1]
    # n_features
    return feature_name

