#! usr/env/bin/ python
#RECURSIVE FEATURE ELIMINATION
#Feature ranking with recursive feature elimination and cross-validated selection of the best number of features
import pandas as pd
from sklearn.feature_selection import RFE
from sklearn.feature_selection import RFECV
from sklearn.linear_model import LinearRegression

def RFE(X, y, model):
    names=pd.DataFrame(X.columns)


    #This is to select 5 variables: can be changed and checked in model for accuracy
    rfe_mod = RFE(model, 5, step=1) #RFECV(lin_reg, step=1, cv=5) 
    myvalues=rfe_mod.fit(X,y) #to fit
    myvalues.support_#The mask of selected features.
    myvalues.ranking_ #The feature ranking, such that ranking_[i] corresponds to the ranking position of the i-th feature. Selected (i.e., estimated best) features are assigned rank 1.

    rankings=pd.DataFrame(myvalues.ranking_) #Make it into data frame
    rankings

if __name__ == "__main__":
    res = RFE(x, y, LinearRegression())